Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.admin.security
Interface JPrincipal

All Superinterfaces:
  java.security.Principal, java.io.Serializable

All Known Subinterfaces:
  JGroup, JRole, JUser

    public interface JPrincipal

extends java.security.Principal, java.io.Serializable

Field Summary
`static java.lang.String` | `SEPARATOR`

Method Summary
`java.lang.String` | `getDescription()` Gets the principal's description.
`java.lang.String` | `getDisplayName()` get display name of the principal.
`java.lang.String` | `getOrganization()` get the organization that principal belongs to.
`int` | `getType()` Gets the principal's type.

Methods inherited from interface java.security.Principal
`equals, getName, hashCode, toString`

Field Detail

### SEPARATOR

    static final java.lang.String SEPARATOR

See Also:
  Constant Field Values

Method Detail

### getDescription

    java.lang.String getDescription()

  Gets the principal's description.

  Returns:
    the principal's description.

### getType

    int getType()

  Gets the principal's type. This type is used for checking whether this principal is created in local or imported from LDAP server. If this type is 0, it is created in local. If the type is 1, it is imported from LDAP server.

  Returns:
    the principal's type.

### getOrganization

    java.lang.String getOrganization()

  get the organization that principal belongs to.

  Returns:
    organization name, return null if does not belong to any organization.
  See Also:
    `jet.server.api.admin.security.JOrganization JOrganization}`

### getDisplayName

    java.lang.String getDisplayName()

  get display name of the principal.

  Returns:
    the principal's display name. if `organization` is not null, return `organization` + `SEPARATOR` + `name`, otherwise return value is same as name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD